package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkProjectChange;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkProjectChangeMapper extends BaseMapper<WorkProjectChange> {

    int insertBatch(@Param("workProjectChanges") List<WorkProjectChange> workProjectChanges);

    List<WorkProjectChange> getByProjectId(Integer projectId);
}
